Package pyplusplus :: Package code_creators :: Module include_directories :: Class include_directories_t

# type include_directories_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
          instruction.instruction_t --+
                                      |
                                     include_directories_t

The instance of this class holds a list of user defined directories. include_t and {precompiled_header_t} code creators use it to generate relative include directives.

Instance Methods

__init__(self) Constructor. | source code

is_std(self, header) | source code

is_user_defined(self, header) | source code

normalize_header(self, header) | source code

Inherited from `instruction.instruction_t`: `get_silent`, `set_silent` Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods

normalize(path) | source code

Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| user_defined
| std
Inherited from `instruction.instruction_t`: `silent` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### user_defined

Get Method:
  _get_user_defined(self)
Set Method:
  _set_user_defined(self, includes)

### std

Get Method:
  _get_std(self)
Set Method:
  _set_std(self, includes)